Interface InternetAccessAccounts
- All Known Implementing Classes:
InternetAccessAccountsImpl
public interface InternetAccessAccounts
Client interface for the Equinix Internet Access (EIA) v1 account lookups - the billing accounts
available at an IBX (
GET /internetAccess/v1/accounts), a single account by number
(GET /internetAccess/v1/accounts/{accountNumber}) and an account's agreements
(GET /internetAccess/v1/accounts/{accountNumber}/agreements).-
Method Summary
Modifier and TypeMethodDescriptionagreements(String accountNumber, String ibx) Returns the agreements associated with the given account at an IBX.getByNumber(String accountNumber) Returns the account with the given account number.Returns the accounts available at the given IBX.Returns the accounts available at the given IBX, narrowed to a project.
-
Method Details
-
list
Returns the accounts available at the given IBX.- Parameters:
operationalUnitsIbx- the IBX to look up accounts for- Returns:
- a paginated list of matching accounts
-
list
Returns the accounts available at the given IBX, narrowed to a project.- Parameters:
operationalUnitsIbx- the IBX to look up accounts forprojectId- the project identifier to narrow accounts to, ornullfor no project constraint- Returns:
- a paginated list of matching accounts
-
getByNumber
Returns the account with the given account number.- Parameters:
accountNumber- the account number- Returns:
- the matching account
-
agreements
Returns the agreements associated with the given account at an IBX.- Parameters:
accountNumber- the account numberibx- the IBX to look up agreements for- Returns:
- a paginated list of matching agreements
-